import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:get/get.dart';
import 'package:taafee_mobile/common/const/const.dart';
import 'package:taafee_mobile/common/extensions/widget_extension.dart';
import 'package:taafee_mobile/common/widgets/text.dart';
import 'package:taafee_mobile/features/card/data_layer/model/card_model.dart';

import '../../../../core/url launcher/url_launcher_service.dart';

class ConsultationPriceWidget extends StatelessWidget {
  final CardModel cardModel;
  const ConsultationPriceWidget({
    super.key,
    required this.cardModel,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      width: Get.width * .89,
      height: 80,
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.circular(10),
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              RegularTextWidget(
                "consultation price:".tr,
                fontSize: 16,
                color: Colors.grey,
              ),
              BoldTextWidget(
                "400 SP".tr,
                fontSize: 20,
                color: Colors.grey,
              ),
            ],
          ),
          Row(
            children: [
              Container(
                alignment: Alignment.center,
                width: 90,
                height: 35,
                decoration: BoxDecoration(
                  color: AppColors.secondaryColor,
                  borderRadius: BorderRadius.circular(30),
                ),
                child: const RegularTextWidget(
                  "Call",
                  color: Colors.white,
                  fontSize: 14,
                ),
              ).onTap(() async {
                await UrlLauncherService.makePhoneCall(cardModel.phoneNumber);
              }).paddingSymmetric(horizontal: 10),
              SvgPicture.asset("assets/icons/whatsapp (1).svg").onTap(
                () async {
                  await UrlLauncherService.sendWhatsapp("+963 940903459");
                },
              ),
            ],
          )
        ],
      ).paddingSymmetric(horizontal: 10),
    );
  }
}
